program clim2tsis
use mgrid
use mwoa
use maviso
use mnavo
use mavhrr
use mgdem
use mpobs

implicit none
character(22)  :: cfname
character(10)  :: cdtg
character(4)   :: var
real(r4),allocatable       :: csal(:,:),csal_err(:,:)
logical(bl)                :: lperiodic
character(:),allocatable :: fname
integer(i4)    :: fid,i,j
!model info
character(len=20)         :: model,fcst_file,anl_file
character(len=3)          :: pfx
NAMELIST/model_info/model,sigver,lglb,fcst_file,anl_file,fcst_file_out,pfx
lperiodic=.true.


call getarg(1,cdtg)
call getarg(2,cfname)
call woa2tsis_profiles(cdtg,cfname)


!call aviso2tsidb(cdtg)
!call navoglb2tgt(cdtg)


stop

write(*,*) ".... preparing climatological salinity ...."

OPEN(21,FILE='tsis.nlist')
READ(21,NML=model_info)
CLOSE(21)
call read_obs_location()
gdem_data_location=trim(clim_data_location)
call initialize_gdem()
allocate(csal(nx,ny),csal_err(nx,ny))
var="saln"
call get_clim_fld(gdem_data_location,var,cdtg,mlon,mlat,nx,ny,csal)
var="sstd"
call get_clim_fld(gdem_data_location,var,cdtg,mlon,mlat,nx,ny,csal_err)



where(mdepth>=2.00**100)
        csal=2.00**100
end where

! add limatological salinity
fname=trim(tsis_obs_location)//"tsis_obs_"//trim(pfx)//"_"//cdtg//".nc"
call nciopn(fname,fid)
call nciowv(fname,fid,"sss",csal)
call nciowv(fname,fid,"sss_err",csal_err)
!call nciorv(fname,fid,"ob_grp_present",ob_grp_present)
!ob_grp_present(3)=1
!call nciowv(fname,fid,"ob_grp_present",ob_grp_present)
call nciocl(fname,fid)

end program
